Subject: Re: bug#61655: [Tree sitter] [Feature Request] font-lock function calls, definitions, separately

From: Eli Zaretskii <[email-masked]>
Date: Fri, 24 Feb 2023 09:56:15 +0200

> Date: Fri, 24 Feb 2023 04:31:08 +0200
> Cc: [email-masked], [email-masked], [email-masked],
>  Randy Taylor <[email-masked]>, Theodor Thornhill <[email-masked]>
> From: Dmitry Gutov <[email-masked]>
> 
> > I'm okay with adding a few more faces to emacs-29, but please hurry,
> > as we don't have too much time for more additions.
> 
> Here's the patch which adds the faces and their uses in all ts modes.

LGTM, thanks.

> The important question here, I think, is whether we want to split 
> font-lock-property-faces in two, like I did here.

What harm can it do, if done like you did, i.e. the faces are
indistinguishable by default?